Get Work Items For Deployment Request

Get Work Items For Deployment Request
Returns work items for a deployment request

Returns work items for a deployment request

Request
URI
GET
https://{vcfa-fqdn}/workitem/api/workitems/{deploymentId}/{requestId}
COPY
Path Parameters
string
deploymentId
Required  

deploymentId

string
requestId
Required  

requestId

Query Parameters
string
state
Optional

state

Enumeration: ACTIVE, ANSWERED, REJECTED, EXPIRED
array
type
Optional

type

Enumeration: MUI
string of array
ids
Optional

ids

Enumeration: MUI
boolean
expand
Optional

expand

Enumeration: MUI
integer
page
Optional

Results page you want to retrieve (0..N)

Enumeration: MUI
integer
size
Optional

Number of records per page.

Enumeration: MUI
string
sort
Optional

Sorting criteria in the format: property,(asc|desc). Default sort order is ascending.

Enumeration: MUI
Header Parameters
string
Accept
Optional

Accept


Authentication
This operation uses the following authentication methods.
Responses
200

Success - returns work items for a deployment request

Returns PageDeploymentRequestWorkItem of type(s) application/json
{
    "content": [
        {
            "authorized": false,
            "workItem": {
                "actionedAt": "string",
                "actionedBy": "string",
                "assignees": [
                    {
                        "id": "string",
                        "type": "string"
                    }
                ],
                "callbackURL": "string",
                "createdAt": "string",
                "deploymentId": "string",
                "deploymentName": "string",
                "description": "string",
                "details": {
                    "details": {}
                },
                "expiryAt": "string",
                "id": "string",
                "lastUpdatedAt": "string",
                "name": "string",
                "orgId": "string",
                "projectId": "string",
                "projectName": "string",
                "requestId": "string",
                "requestedBy": "string",
                "state": "string",
                "type": "string",
                "workItemDetails": {
                    "formDetails": {
                        "formDetails": {}
                    },
                    "workItemData": {
                        "workItemData": {}
                    }
                },
                "workflowDetails": {
                    "id": "string",
                    "muiId": "string",
                    "name": "string",
                    "runId": "string"
                }
            }
        }
    ],
    "empty": false,
    "first": false,
    "last": false,
    "number": 0,
    "numberOfElements": 0,
    "pageable": {
        "offset": 0,
        "pageNumber": 0,
        "pageSize": 0,
        "paged": false,
        "sort": {
            "empty": false,
            "sorted": false,
            "unsorted": false
        },
        "unpaged": false
    },
    "size": 0,
    "sort": {
        "empty": false,
        "sorted": false,
        "unsorted": false
    },
    "totalElements": 0,
    "totalPages": 0
}
array of object
content
Optional

content

boolean
empty
Optional

empty

boolean
first
Optional

first

boolean
last
Optional

last

integer As int32 As int32
number
Optional

number

integer As int32 As int32
numberOfElements
Optional

numberOfElements

object
pageable
Optional

pageable

integer As int32 As int32
size
Optional

size

object
sort
Optional

sort

integer As int64 As int64
totalElements
Optional

totalElements

integer As int32 As int32
totalPages
Optional

totalPages


401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Operation doesn't return any data structure

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/workitem/api/workitems/{deploymentId}/{requestId}